
include firewalld

firewalld_zone { 'restricted':
  ensure           => present,
  target           => '%%REJECT%%',
  purge_rich_rules => true,
}

firewalld_service { 'ssh access':
  ensure  => present,
  service => 'ssh',
  zone    => 'restricted',
}

firewalld_rich_rule { 'Accept SSH from barny':
  ensure => present,
  zone   => 'restricted',
  source => '192.168.1.2/32',
  service => 'ssh',
  action  => 'accept',
} 

firewalld_port { 'Open port 8080 in the public zone':
  ensure   => present,
  zone     => 'public',
  port     => 8080,
  protocol => 'tcp',
}

firewalld_direct_passthrough {'Forward traffic from OUTPUT to OUTPUT_filter':
  ensure         => 'present',
  inet_protocol  => 'ipv4',
  args           => '-A OUTPUT -j OUTPUT_filter'
}

